// 1Kx16 zero page FPGA blockRAM
`timescale 1ns / 1ps

module ZPRAM ( input clk,
					input we,
					input rst,
					input [9:0] addr,
					input [15:0] din,
					output reg [15:0] dout
					);
					
reg [15:0] RAM [1023:0];

always @(posedge clk) begin
	if (we) 
		RAM[addr] <= din;
		else 
			dout <= RAM[addr]; 
	if (rst)	
		dout <= 0;
end

endmodule
