//4Kx16 ROM, i.e. initialized FPGA blockRAM
`timescale 1ns / 1ps

module SYSROM ( input clk,
					 input rst,
					 input [11:0] addr,
					 output reg [15:0] dout
					 );
					
reg [15:0] RAM [4095:0];

initial $readmemh("boot.coe",RAM,0,4095);

always @(posedge clk)
	if (rst)
		dout <= 0;
		else
			dout <= RAM[addr];
					
endmodule
